Subject: bug#16737: Timed out waiting for reply from selection owner

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jan 2015 20:07:07 +0200

> Date: Sat, 17 Jan 2015 16:34:15 +0100
> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked]
> 
> > First, please establish that you see the same problem, e.g. by
> > obtaining backtraces as described earlier in this discussion.
> 
> The problem is the same one, since I get the same error message after
> 5 seconds delay as the topic title.
> 
> The thing is, I don't know how to get a backtrace - I'm only a novice
> with GDB.  I was hoping someone would post a sequence of commands to
> get a proper backtrace for this problem.

During those 5 seconds, attach GDB to the Emacs process:

  $ gdb -p PID

where PID is the numeric process ID of Emacs; you can find that out
in advance, before you start the reproducing sequence, and prepare the
above command line, so that all you need to do is hit RET.

Then, when GDB displays its prompt "(gdb)", type this:

  thread apply all bt

This will show a backtrace of every thread in the Emacs process.